#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		nodove		dovenull
#-----------------------------------------------------------------------------
Name		:	at
Version		:	3.2.5
Release		:	17.2.0.rel%{?dist}
Summary		:	Job spooling tools
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://software.calhariz.com/at/

Source0		:	%{name}_%{version}.orig.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-pam.patch

#-----------------------------------------------------------------------------
Requires	:	lfs-bootscripts
Requires	:	chkconfig
Requires	:	shadow
Requires	:	logrotate
Requires	:	%{_sbindir}/sendmail

#-----------------------------------------------------------------------------
%description
The at package provide delayed job execution and
batch processing. It is required for Linux Standards
Base (LSB) conformance.

#-----------------------------------------------------------------------------
%files			
%doc COPYING
%attr(0754,root,root) %{_sysconfdir}/rc.d/init.d/%{name}d
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}d
%config (noreplace) %{_sysconfdir}/%{name}.deny
%attr(04755,root,root) %{_bindir}/%{name}
%{_bindir}/%{name}q
%{_bindir}/%{name}rm
%{_bindir}/batch
%{_sbindir}/%{name}d
%{_sbindir}/%{name}run
%{_defaultdocdir}/%name-%{version}/*
%{_datadir}/%{name}/batch-job
%dir %attr(0700,root,root) %{_var}/spool/%{name}
%dir %attr(0700,root,root) %{_var}/spool/%{name}/spool
%attr(0600,root,root) %verify(not md5 size mtime) %ghost %{_localstatedir}/spool/%{name}/.SEQ
%{_mandir}/man1/*.1.gz
%{_mandir}/man5/*.5.gz
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name}d stop > /dev/null 2>&1 || :
  %{_sbindir}/chkconfig --del %{name}d
  %{__rm} %{_var}/spool/%{name}spool/.SEQ
  /usr/sbin/userdel %{name}d
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%pre
if [ "$1" = 1 ]; then
  /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{name}d

  /usr/sbin/useradd 				\
	-r 					\
	-c "adt spool daemon"			\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g %{name}d				\
	-s /bin/false				\
	-d /dev/null				\
	%{name}d
  fi


%post
touch %{_localstatedir}/spool/%{name}/.SEQ
chmod 600 %{_localstatedir}/spool/%{name}/.SEQ
chown root:root %{_localstatedir}/spool/%{name}/.SEQ
%{_sbindir}/chkconfig --add %{name}d
%{_sysconfdir}/rc.d/init.d/%{name}d condrestart > /dev/null 2>&1 || :


#=============================================================================
%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

sed -i							\
  -e "/docdir/s/=.*/= @docdir@/"			\
  -e "s:-g root -o root -m:-m:"				\
  -e "s:-o root -g :-g :"				\
  -e "s:-g root -m :-m :"				\
  Makefile.in

autoreconf -vif
%{__rm} -f lex.yy.* y.tab.*
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--with-daemon_username=root			\
	--with-daemon_groupname=root			\
	--with-jobdir=%{_var}/spool/at			\
	--with-atspool=%{_var}/spool/at/spool		\
	SENDMAIL=/usr/sbin/sendmail

%define _smp_mflags -j1 
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	DAEMON_USERNAME=`id -nu`			\
	DAEMON_GROUPNAME=`id -ng`			\
	install

#installing atd starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{name}d			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} -a 						\
	%{name}-ok_addon/%{name}d.sysconfig		\
	%{buildroot}%{_sysconfdir}/sysconfig/%{name}d

#installing atd spool jobs directory
%{__mkdir_p} %{buildroot}%{_var}/spool.d/%{name}jobs

#-----------------------------------------------------------------------------
%changelog
